Subject: Kgdb on Motorola 8451 ppc board

From: "Tameen Khan" <[email-masked]>
Date: Tue, 29 Jun 2004 10:54:14 -0700

I'm trying to run kgdb on  Motorola 8451 ppc board.
I've compiled the kernel with the CONFIG_KGDB option.
The test machine is a linux host. I'm using gdb compiled for target ppc
architecture.
When I try to connect to the dev machine from the test machine, I get the
following error.

(gdb) set remotebaud 9600
(gdb) target remote /dev/ttyS1
Remote debugging using /dev/ttyS1
^^
^^^^Ignoring packet error, continuing...
^^^Ignoring packet error, continuing...
Ignoring packet error, continuing...
Ignoring packet error, continuing...
Couldn't establish connection to remote target
Malformed response to offset query, timeout
(gdb)

I've tried other baudrates, but get the same error with them.
Any pointers to where I can get info to get kgdb working for this cross arch
debugging will be helpful.. So far I've searched the web without much luck
on this topic.

Thanks
-Tameen

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/